#
# spec file for package yast2-x11
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-x11
Version:        3.1.5
Release:        1.2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  yast2-devtools >= 3.1.10
Requires:       systemd
Requires:       yast2_theme >= 3.1.10
Summary:        YaST2 - X11 support
License:        GPL-2.0
Group:          System/YaST
Url:            http://github.com/yast/yast-x11/
Supplements:    packageand(yast2-installation:xorg-x11-server)
Obsoletes:      sax2-tools <= 8.1

%description
This package contains the programs and files for YaST2 X11 support.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)

%{yast_ybindir}/testX
%{yast_ybindir}/set_videomode
/usr/sbin/xkbctrl
/etc/icewm

%doc %dir %{yast_docdir}
%doc %{yast_docdir}/COPY*
%doc %{_mandir}/*/*

%changelog
* Wed Jun 15 2016 snwint@suse.de
- add set_videomode script to adjust video mode using xrandr (bsc#974821)
- 3.1.5
* Tue Aug 18 2015 sndirsch@suse.com
- xkbctrl uses systemd mapping information now (fate#318426)
- 3.1.4
* Thu Mar 13 2014 jreidinger@suse.com
- fix typo in requires
* Tue Mar 11 2014 jreidinger@suse.com
- move icewm config to yast2-theme as it contain color schema
  for installation
- 3.1.3
* Thu Feb 13 2014 lslezak@suse.cz
- changed window title bar color in icewm config to match the new
  color schema at installation
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Mon Sep  2 2013 coolo@suse.com
- trigger installation of the package not on xorg-x11, but on
  xorg-x11-server (bnc#837450)
* Tue Aug 13 2013 lslezak@suse.cz
- fixed build with yast2-devtools >= 3.0.3
- 3.0.1
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Fri Apr 19 2013 aschnell@suse.de
- added xkbctrl from sax2-tools
- 2.24.0
* Wed Jun  6 2012 aschnell@suse.de
- added supplements (bnc#765242)
- 2.22.1
* Mon Apr  2 2012 aschnell@suse.de
- added icewm config to keep Firefox window on top (bnc#749184)
- created package with testX binary from sax2-tools and
  window-manager config from yast2-installation
- 2.22.0
